To create a webstore with AliDropship plugin you will need:

  1. Domain name;
  2. Hosting;
  3. WordPress CMS;
  4. Google Chrome Browser and AliDropship Extension.

1. Domain name

You need to find a domain name for your future web store using such platform as GoDaddy. If the domain name you want to have is already used, registrars will offer a similar one.


2. Hosting

Server requirements:
a. ionCube activated on your hosting;
b. PHP 7.1 or 7.2+;
c. File size upload limit: min. 16MB;
d. cURL libraries ver 7.58.0 recommended (minimum required version is 7.29.0).

AliDropship plugin is supported by most hosting providers: 1&1 IONOS, Hostgator. You can also consider AliDropship hosting solution that is perfectly optimised for WP-based dropshipping stores and comes with a free SSL certificate.

SiteGround
If you using SiteGround as a hosting provider, please note that ionCube works only on PHP 7.2.

iPage
We do not recommend using iPage as a hosting provider because it uses outdated cURL libraries (7.22.0) and it is not going to update them in the nearest future.

GoDaddy
We do not recommend using basic GoDaddy plans and Managed WordPress plans because activating the ionCube loader on these plans is not possible.

Select among the business plans to avoid issues with the ionCube loader. You can find more info here.

Multisite Network and Localhosts
Please note, AliDropship plugin does not support WordPress Multisite Network and does not work on localhosts.

Cloud and Virtual Private Servers
The AliDropship technical support team does not provide free support for cloud servers and virtual private servers (VPS) such as Amazon Web Services.

If you run into difficulties using cloud servers or virtual private servers, consider ordering the Server Configuration service or purchase extended server administration offered by your hosting provider.

Please note that some servers are not compatible with AliDropship products and Server Configuration service offered by AliDropship is not a 100% guarantee compatibility issues will be resolved.


3. WordPress

WordPress.com and WordPress.org
AliDropship is a plugin built for WordPress CMS (Content Management System). It means that in order to setup and use the plugin you need to download WP CMS from WordPress.org. AliDropship plugin does not support and cannot be used with WordPress.com platform.

Root Directory
WordPress has to be installed in the root directory.

You can check whether your WordPress is installed in the root directory by following these steps:

Go to your website's Dashboard:

From the Dashboard your website URL should look like this:

If your website URL looks like this:

...it means WordPress is installed in a subdirectory. Reinstall WordPress in the root directory, otherwise you will not be able to authorize your webiste in the extension:


4. Google Chrome Browser and AliDropship Extension 

Google Chrome Browser
Google Chrome browser is the only browser compatible with the AliDropship extension.

AliDropship Extension
AliDropship Google Chrome extension is required to import/update products and place orders.


Did this answer your question?